<div id="featured">
<?php
    // Setting a temporary value to avoid errors
    $do_not_duplicate = null;
    // Loop arguments
    $args = array(
        'category_name' => 'featured',
        'showposts' => 3
    );
    // Our featured query and loop
    $featured_query = new WP_Query( $args );
    while ( $featured_query->have_posts() ) : $featured_query->the_post();
    // Save the post ID to $do_not_duplicate
    $do_not_duplicate[] = $post->ID;
?>
    <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        <h2>
            <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
                <?php the_title(); ?>
            </a>
        </h2>
        <?php the_excerpt(); ?>
    </div>
<?php
    // Featured loop ends
    endwhile;
    // Resetting
    wp_reset_postdata();
?>
</div>
<div class="column-left">
    <h2>Latest from <span>Apples</span></h2>
    <ul>
        <?php
        // Loop arguments
        $args = array(
            'category_name' => 'apples',
            'showposts' => 10
        );
        // Our query and loop
        $apple_query = new WP_Query( $args );
        while ( $apple_query->have_posts() ) : $apple_query->the_post();
        // Let's not output any featured posts
        if ( in_array( $post->ID, $do_not_duplicate ) ) continue;
          update_post_caches( $posts );
    ?>
        <li>
            <h3>
                <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
                    <?php the_title(); ?>
                </a>
            </h3>
            <?php the_excerpt(); ?>
        </li>
    <?php
        // Loop ends
        endwhile;
        // Resetting
        wp_reset_postdata();
    ?>
    </ul>
</div>
<div class="column-left">
    <h2>Latest from <span>Oranges</span></h2>
    <ul>
    <?php
        // Loop arguments
        $args = array(
            'category_name' => 'oranges',
            'showposts' => 10
        );
        // Our query and loop
        $orange_query = new WP_Query( $args );
        while ( $orange_query->have_posts() ) : $orange_query->the_post();
        // Let's not output any featured posts
        if ( in_array( $post->ID, $do_not_duplicate ) ) continue;
          update_post_caches( $posts );
    ?>
        <li>
            <h3>
                <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
                    <?php the_title(); ?>
                </a>
            </h3>
            <?php the_excerpt(); ?>
        </li>
    <?php
        // Loop ends
        endwhile;
        // Resetting
        wp_reset_postdata();
    ?>
    </ul>
</div>
<div class="column-right">
    <h2>Latest from <span>Lemons</span></h2>
    <ul>
    <?php
        // Loop arguments
        $args = array(
            'category_name' => 'lemons',
            'showposts' => 10
        );
        // Our query and loop
        $lemon_query = new WP_Query( $args );
        while ( $lemon_query->have_posts() ) : $lemon_query->the_post();
        // Let's not output any featured posts
        if ( in_array( $post->ID, $do_not_duplicate ) ) continue;
          update_post_caches( $posts );
    ?>
        <li>
            <h3>
                <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
                    <?php the_title(); ?>
                </a>
            </h3>
            <?php the_excerpt(); ?>
        </li>
    <?php
        // Loop ends
        endwhile;
        // Resetting
        wp_reset_postdata();
    ?>
    </ul>
</div>