<?php
/*
Plugin Name: Smashing Post Type
Plugin URI: http://tdh.me/wordpress/smashing-post-type/
Description: Adding the Smashing Post Type.
Version: 1.0
Author: Thord Daniel Hedengren
Author URI: http://tdh.me/
*/

// Add to init hook
add_action( 'init', 'smashing_post_types' );

// Add these custom post types
function smashing_post_types() {

    // Register Smashing Post Type
    register_post_type( 'smashing_post_type',
        array(
            'labels' => array(
                'name' => 'Smashing Post Type',
                'menu_name' => 'Smashing Posts'
            ),
            'singular_label' => 'Smashing Post Type',
            'public' => true,
            'show_ui' => true,
            'menu_position' => 5,
            'capability_type' => 'post',
            'has_archive' => true,
            'hierarchical' => false,
            'show_in_menu' => true,
            'supports' => array( 'title', 'editor', 'author', 'revisions', 
                            'comments' )
        )
    );

}

?>