<?php
/*
	Plugin Name: Smashing Speaker Deck oEmbed
	Description: Adds embed support for Speaker Deck with oEmbed.
	Author: Thord Daniel Hedengren
	Author URI: http://tdh.me
	Version: 1.0
*/

// Add the Speaker Deck oEmbed
function smashing_oembed_speakerdeck() {

	// Support speakerdeck.com links
	wp_oembed_add_provider( '#https?://(www\.)?speakerdeck.com/*#', 'http://speakerdeck.com/oembed.json?url=/', true );

}
add_action( 'init','smashing_oembed_speakerdeck' );

// That's it!
?>