<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
<?php
    // The custom field with the URL
    $CustomField = get_post_meta( get_the_ID(), 'URL', true );
    if ( !empty( $CustomField ) ) {
?>
	<h2>
        <a href="<?php echo esc_url( $CustomField ); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
            <?php the_title(); ?>
        </a>
        <?php echo $CustomField; ?>
    </h2>
    <div class="entry">
        <?php the_excerpt(); ?>
    </div>
    <p class="postmetadata">
        Filed in <?php the_category( ', ' ) ?> <?php the_tags( 'and tagged ', ', ', '' ); ?> <small><?php the_time( 'F jS, Y' ) ?></small>
    </p> 
<?php
    // No link
    } else { 
?>
    <h2><del><?php the_title(); ?></del></h2>
    <div class="entry">
        <p>Sorry, this link is broken. Please tell an administrator!</p>
    </div>
    <p class="postmetadata">
        It's broken: <?php edit_post_link( 'Fix it!', '', ' | ' ); ?> Filed in <?php the_category( ', ' ); ?> <?php the_tags( 'and tagged  ', ', ', '' ); ?> <small><?php the_time( 'F jS, Y' ); ?></small>
    </p>
<?php } ?>
</div>