<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
    <?php $CustomField = get_post_meta( get_the_ID(), 'URL', true );
    if ( !empty( $CustomField ) ) {
        <div class="linkage">
            <h2>
                <a href="<?php echo esc_url( $CustomField ) ?>"
                  rel="bookmark" title="<?php the_title_attribute(); ?>">
                    <?php the_title(); ?>
                </a>
            </h2>
            <div class="entry">
                <?php the_excerpt(); ?>
            </div>
        </div>
    <?php // Nope, nothing there _ regular post!
    } else { ?>
        <h2>
            <a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
                <?php the_title(); ?>
            </a>
        </h2>
        <small><?php the_time( 'F jS, Y' ); ?> by <?php the_author(); ?></small>
        <div class="entry">
            <?php the_content( 'Read the rest of this entry &raquo;' ); ?>
        </div>
        <p class="postmetadata">
            <?php the_tags( 'Tags: ', ', ', '<br />' ); ?> Posted in <?php the_category( ', ' ); ?> | <?php edit_post_link( 'Edit', '', ' | '); ?>  <?php comments_popup_link( 'No Comments &#187;', '1 Comment &#187;', '% Comments &#187;' ); ?>
        </p>
    <?php } ?>
</div>