<div id="featured">
<?php
    // Setting a temporary value to avoid errors
    $do_not_duplicate = null;
    // Loop arguments
    $args = array(
        'category_name' => 'featured',
        'showposts' => 3
    );
    // Our featured query and loop
    $featured_query = new WP_Query( $args );
    while ( $featured_query->have_posts() ) : $featured_query->the_post();
    // Save the post ID to $do_not_duplicate
    $do_not_duplicate[] = $post->ID;
?>
    <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        <h1>
            <a href="<?php the_permalink(); ?>"
              title="<?php the_title_attribute(); ?>">
                <?php the_title(); ?>
            </a>
        </h1>
        <?php the_excerpt(); ?>
    </div>
<?php
    // Featured loop ends
    endwhile;
    // Resetting
    wp_reset_postdata();
?>
</div>