// Attach function to init hook
add_action( 'init', 'smashing_tax', 0 );

// Taxonomy function
function smashing_tax() {

    // Register the taxonomy
    register_taxonomy( 'smashing_taxonomy', 'post',
        array(
            'hierarchical' => false,
            'labels' => array(
                'name' => 'Smashing Tags',
                'singular_name' => 'Smashing Tags',
                'search_items' => 'Search Smashing Tags',
                'popular_items' => 'Popular Smashing Tags',
                'add_new_item' => 'Add New Smashing Tags'
            ),
            'query_var' => true,
            'rewrite' => true
        ) 
    );
    
}