<?php
/*
Plugin Name: Smashing Taxonomy
Plugin URI: http://tdh.me/wordpress/smashing-taxonomy/
Description: Adding the Smashing Tags taxonomy.
Version: 1.0
Author: Thord Daniel Hedengren
Author URI: http://tdh.me/
*/

// Attach function to init hook
add_action( 'init', 'smashing_tax', 0 );

// Taxonomy function
function smashing_tax() {

    // Register the taxonomy
    register_taxonomy( 'smashing_taxonomy', 'post',
        array(
            'hierarchical' => false,
            'labels' => array(
                'name' => 'Smashing Tags',
                'singular_name' => 'Smashing Tags',
                'search_items' => 'Search Smashing Tags',
                'popular_items' => 'Popular Smashing Tags',
                'add_new_item' => 'Add New Smashing Tags'
            ),
            'query_var' => true,
            'rewrite' => true
        )
    );

}
?>