<?php
/*
Plugin Name: Smashing Hello
Description: A simple widget demo.
Version: 1.0
Author: Thord Daniel Hedengren
Author URI: http://tdh.me/
*/


class SmashingHello extends WP_Widget {

	function SmashingHello() {
	    parent::WP_Widget( false, $name = 'Smashing Hello' );
	}

	function widget($args, $instance) {
	    extract( $args );
	    ?>
	          <?php echo $before_widget; ?>
	              <?php echo $before_title
	                  . $instance['title']
	                  . $after_title; ?>
	              Well hello there! Ain't that just Smashing?
	          <?php echo $after_widget; ?>
	    <?php
	}

	function update($new_instance, $old_instance) {
	    return $new_instance;
	}

	function form( $instance ) {
	    $title = esc_attr( $instance['title'] );
	    ?>
	      <p>
	            <label for="<?php echo $this->get_field_id( 'title' ); ?>">
	                Title: <input class="widefat" id="<?php echo $this->
	                get_field_id( 'title' ); ?>" name="<?php echo $this->
	                get_field_name( 'title' ); ?>" type="text" value="<?php
	                  echo $title; ?>" />
	            </label>
	        </p>
	    <?php
	}

}

function smashing_widget_init() {
    register_widget( 'SmashingHello' );
}

add_action( 'widgets_init',  'smashing_widget_init' );

?>