<ul>
    <li><h2>TDH.me</h2></li>
    <?php
	// Try to fetch from cache
	if ( ! ( $feed = get_transient( 'smashing_feedcache' ) ) ) {
	    // No cache - Fetch and store
	    $feed_obj = fetch_feed( 'http://tdh.me' );
	    $feed = array();
	    $feed['title'] = $feed_obj->get_title();
	    $feed['items'] = array();
	    foreach ( $feed_obj->get_items() as $item ){
	        // Store feed contents as an array
	        $feed['items'][] = array(
	            'permalink' => $item->get_permalink(),
	            'title' => $item->get_title(),
	            'description' => $item->get_description(),
	            'date' => $item->get_date('j F Y at g:i a')
	); }
	    // Store for an hour
	    set_transient( 'smashing_feedcache', $feed, ( 60*60 ) );
	}
	// Output
	foreach ( $feed['items'] as $item ) {
	    printf( '<li><a href="%s">%s</a></li>', $item['permalink'], $item['title'] );
	    printf( '<p>%s</p>', $item['description'] );
	    printf( '<p><small>%s</small></p>', $item['date'] );
	} 
?>
</ul>