register_post_type( 'book', array(
    'label' => 'Book',
        'labels' => array(
            'singular_name' => 'Book',
            'add_new_item' => 'Add a new book',
            'edit_item' => 'Edit book',
            'new_item' => 'New book',
            'view_item' => 'Show book',
            'search_items' => 'Search for books',
            'not_found' => 'No books were found',
            'not_found_in_trash' => 'No books were found in Trash',
        ),
        'public' => true,
        'show_ui' => true,
        'capability_type' => 'post',
        'has_archive' => true,
        'rewrite' => array(
            'slug' => 'book'
        ),
        'query_var' => false,
        'supports' => array(
            'title',
            'editor',
            'author',
            'thumbnail',
            'excerpt',
            'custom-fields',
            'comments'
        ) 
) );